import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElIcons from '@element-plus/icons'
import router from './router'
import "./assets/fonts/font.less"; // 字体样式
import "../public/iconFont/iconfont.css"; // 图标字体样式
import { $get, $post } from "@/data/https.js";

const app = createApp(App)
app.config.globalProperties.$get = $get;
app.config.globalProperties.$post = $post;
for (const [key, component] of Object.entries(ElIcons)) {
  app.component(key, component)
}
app.use(ElementPlus).use(router).mount('#app')
